
public class Class489 {

   static Class479 aClass479_5909 = new Class479();
   static Class423 aClass423_5910 = new Class423(4);
   static final int anInt5911 = 4096;
   public static int anInt5912;


   public static Class171 method8176(Class545 var0, int var1) {
      Class225_Sub2 var2 = (Class225_Sub2)aClass423_5910.method7211((long)var1);
      if(null != var2) {
         Class225_Sub45_Sub3 var3 = var2.aClass221_Sub1_8365.method3793(2127771374);
         var2.aBool8368 = true;
         if(null != var3) {
            aClass479_5909.aClass545_5843 = var0;
            return (Class171)var3.method16083(aClass479_5909, (short)-28664);
         }
      }

      return null;
   }

   public static void method8177() {
      for(Class225_Sub2 var0 = (Class225_Sub2)aClass423_5910.method7208(-405853513); null != var0; var0 = (Class225_Sub2)aClass423_5910.method7226(1050579627)) {
         if(!var0.aBool8368) {
            IncommingOpcode.method5362(776858865 * var0.anInt8363, (byte)34);
         } else {
            var0.aBool8368 = false;
         }
      }

   }

   public static void method8178(int var0, int var1, boolean var2) {
      if(aClass423_5910.method7211((long)var0) == null) {
         if(!client.aBool7718) {
            Class371.method6512(var0, var2, (short)20480);
         } else {
            Class225_Sub2 var3 = new Class225_Sub2(var0, new Class221_Sub1(4096, Class389.aClass253_4848, var0), var1, var2);
            var3.aClass221_Sub1_8365.method3808(Class498.aClass470_5944.method7893((byte)98), -160679244);
            aClass423_5910.method7206(var3, (long)var0);
         }
      }

   }

   Class489() throws Throwable {
      throw new Error();
   }

   static void method8179(int var0, boolean var1) {
      if(var1) {
         Class225_Sub15 var2 = Class543.method11415(OutgoingOpcode.aClass302_3777, client.aClass180_7704.aClass433_2184, (byte)1);
         var2.buffer.writeShort(var0, -296126981);
         client.aClass180_7704.method3191(var2, (byte)6);
      } else {
         Class363.method6461(Class386.aClass386_4827, var0, -1, (byte)6);
      }

   }

   static void method8180(int var0, boolean var1) {
      if(var1) {
         Class225_Sub15 var2 = Class543.method11415(OutgoingOpcode.aClass302_3777, client.aClass180_7704.aClass433_2184, (byte)1);
         var2.buffer.writeShort(var0, 12765625);
         client.aClass180_7704.method3191(var2, (byte)-102);
      } else {
         Class363.method6461(Class386.aClass386_4827, var0, -1, (byte)46);
      }

   }

   public static String method8181(int var0) {
      Class225_Sub2 var1 = (Class225_Sub2)aClass423_5910.method7211((long)var0);
      if(var1 != null) {
         Class225_Sub45_Sub4 var2 = var1.aClass221_Sub1_8365.method3795((short)11391);
         if(null != var2) {
            double var3 = var1.aClass221_Sub1_8365.method3798((byte)23);
            if((double)var2.method16213(1500114092) <= var3 && (double)var2.method16212(98312473) >= var3) {
               return var2.method16214(-1888122197);
            }
         }
      }

      return null;
   }

   public static Class171 method8182(Class545 var0, int var1) {
      Class225_Sub2 var2 = (Class225_Sub2)aClass423_5910.method7211((long)var1);
      if(null != var2) {
         Class225_Sub45_Sub3 var3 = var2.aClass221_Sub1_8365.method3793(-729996835);
         var2.aBool8368 = true;
         if(null != var3) {
            aClass479_5909.aClass545_5843 = var0;
            return (Class171)var3.method16083(aClass479_5909, (short)-24878);
         }
      }

      return null;
   }

   public static void method8183(int var0, int var1, boolean var2) {
      if(aClass423_5910.method7211((long)var0) == null) {
         if(!client.aBool7718) {
            Class371.method6512(var0, var2, (short)20480);
         } else {
            Class225_Sub2 var3 = new Class225_Sub2(var0, new Class221_Sub1(4096, Class389.aClass253_4848, var0), var1, var2);
            var3.aClass221_Sub1_8365.method3808(Class498.aClass470_5944.method7893((byte)38), 1975358348);
            aClass423_5910.method7206(var3, (long)var0);
         }
      }

   }

   public static void method8184() {
      for(Class225_Sub2 var0 = (Class225_Sub2)aClass423_5910.method7208(-405853513); null != var0; var0 = (Class225_Sub2)aClass423_5910.method7226(383737050)) {
         if(var0.aClass221_Sub1_8365.method3796(420633111)) {
            IncommingOpcode.method5362(776858865 * var0.anInt8363, (byte)105);
         } else {
            var0.aClass221_Sub1_8365.method13234(-1317513276);

            try {
               var0.aClass221_Sub1_8365.method3788(2043527115);
            } catch (Exception var3) {
               Class109.method2190("" + var0.anInt8363 * 776858865, var3, -557769431);
               IncommingOpcode.method5362(var0.anInt8363 * 776858865, (byte)22);
            }

            if(!var0.aBool8367 && !var0.aBool8366) {
               Class225_Sub45_Sub1 var1 = var0.aClass221_Sub1_8365.method3794(630701878);
               if(var1 != null) {
                  Class225_Sub12_Sub4 var2 = var1.method15586((byte)26);
                  if(null != var2) {
                     var2.method16228(-1932717245 * var0.anInt8364, 1786842880);
                     Class118_Sub3.aClass225_Sub12_Sub5_8217.method16281(var2);
                     var0.aBool8367 = true;
                  }
               }
            }
         }
      }

   }

   public static void method8185() {
      for(Class225_Sub2 var0 = (Class225_Sub2)aClass423_5910.method7208(-405853513); null != var0; var0 = (Class225_Sub2)aClass423_5910.method7226(-682541823)) {
         IncommingOpcode.method5362(var0.anInt8363 * 776858865, (byte)94);
      }

   }

   public static void method8186() {
      for(Class225_Sub2 var0 = (Class225_Sub2)aClass423_5910.method7208(-405853513); null != var0; var0 = (Class225_Sub2)aClass423_5910.method7226(1156038028)) {
         if(!var0.aBool8368) {
            IncommingOpcode.method5362(776858865 * var0.anInt8363, (byte)17);
         } else {
            var0.aBool8368 = false;
         }
      }

   }

   public static void method8187() {
      for(Class225_Sub2 var0 = (Class225_Sub2)aClass423_5910.method7208(-405853513); null != var0; var0 = (Class225_Sub2)aClass423_5910.method7226(-898683667)) {
         if(!var0.aBool8368) {
            IncommingOpcode.method5362(776858865 * var0.anInt8363, (byte)11);
         } else {
            var0.aBool8368 = false;
         }
      }

   }

   public static void method8188() {
      for(Class225_Sub2 var0 = (Class225_Sub2)aClass423_5910.method7208(-405853513); null != var0; var0 = (Class225_Sub2)aClass423_5910.method7226(-915766428)) {
         if(!var0.aBool8368) {
            IncommingOpcode.method5362(776858865 * var0.anInt8363, (byte)56);
         } else {
            var0.aBool8368 = false;
         }
      }

   }

   public static void method8189() {
      for(Class225_Sub2 var0 = (Class225_Sub2)aClass423_5910.method7208(-405853513); null != var0; var0 = (Class225_Sub2)aClass423_5910.method7226(660263995)) {
         if(!var0.aBool8368) {
            IncommingOpcode.method5362(776858865 * var0.anInt8363, (byte)103);
         } else {
            var0.aBool8368 = false;
         }
      }

   }

   public static void method8190() {
      for(Class225_Sub2 var0 = (Class225_Sub2)aClass423_5910.method7208(-405853513); null != var0; var0 = (Class225_Sub2)aClass423_5910.method7226(-655959021)) {
         if(var0.aClass221_Sub1_8365.method3796(420633111)) {
            IncommingOpcode.method5362(776858865 * var0.anInt8363, (byte)113);
         } else {
            var0.aClass221_Sub1_8365.method13234(-1005690782);

            try {
               var0.aClass221_Sub1_8365.method3788(1947071581);
            } catch (Exception var3) {
               Class109.method2190("" + var0.anInt8363 * 776858865, var3, 408134338);
               IncommingOpcode.method5362(var0.anInt8363 * 776858865, (byte)25);
            }

            if(!var0.aBool8367 && !var0.aBool8366) {
               Class225_Sub45_Sub1 var1 = var0.aClass221_Sub1_8365.method3794(-395254790);
               if(var1 != null) {
                  Class225_Sub12_Sub4 var2 = var1.method15586((byte)98);
                  if(null != var2) {
                     var2.method16228(-1932717245 * var0.anInt8364, 2024163921);
                     Class118_Sub3.aClass225_Sub12_Sub5_8217.method16281(var2);
                     var0.aBool8367 = true;
                  }
               }
            }
         }
      }

   }

   public static void method8191(int var0) {
      Class225_Sub2 var1 = (Class225_Sub2)aClass423_5910.method7211((long)var0);
      if(var1 != null) {
         var1.aClass221_Sub1_8365.method3792(76035684);
         Class371.method6512(var1.anInt8363 * 776858865, var1.aBool8362, (short)20480);
         var1.method3857(1006228989);
      }

   }

   static boolean method8192(byte var0) {
      try {
         Class390 var1 = new Class390();
         byte[] var2 = var1.method6694(Class311.aByteArray3936, (byte)0);
         Class504.method8427(var2, -1520194750);
         return true;
      } catch (Exception var3) {
         return false;
      }
   }
}
